%bcond_with  tests

Summary:        Pytest support for asyncio
Name:           python-pytest-asyncio
Version:        0.21.0
Release:        1%{?dist}
License:        ASL 2.0
URL:            https://github.com/pytest-dev/pytest-asyncio
Source:         %{pypi_source pytest-asyncio}

BuildRequires:  python3-devel

BuildArch:      noarch

%description 
Asyncio code is usually written in the form of coroutines, which makes it slightly more difficult 
to test using normal testing tools. 
This package provides useful fixtures and tags for testing asyncio code with pytest.

%package -n python3-pytest-asyncio
Summary:        %{summary}


%description -n python3-pytest-asyncio 
This package provides useful fixtures and tags for testing asyncio code with pytest.


%prep
%autosetup -n pytest-asyncio-%{version}

sed -e '/coverage==/d' -e '/mypy ==/d' -i setup.cfg

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x testing}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_asyncio


%check
%if %{with tests}
%global __pytest %{python3} -m pytest
%pytest
%endif


%files -n python3-pytest-asyncio -f %{pyproject_files}
%doc README.rst


%changelog
* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - 0.21.0-1
- update to 0.21.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Wang Guodong <gordonwwang@tencent.com> - 0.20.2-1
- package init.
